#  Python-based ecosystem of open-source software for mathematics, science, engineering and Web development

## Instance of Ubuntu with Python-based tools  and Spyder scientific environment

*A vlab enviroment ready for learning*


This is designed to help you with:

- NumPy
- SciPy library
- Matplotlib
- IPython
- SymPy
- pandas
- pandas
- Django


> 
> You can learn your own pace regardless of tutor lessons.
>
> Our vlabs allow for design and trial or real world applications.
>
>  Not being affraid of making mistakes
> 
 

## VLAB Info

- We have one master and multiple workers.
- We get initial access to the master and from there we can use the workers.
- Inside the master we have user access while in our workers we have sudo access whithout password.

![Vlab](images/swarmlab-network.png "")


> ### NOTE 
> 
>  Vlabs are reset every night around 02:00!
>
>> If you would like to keep your work please refer to "publish".
> 
> Vlabs dont have firewall restrictions BUT the machines are not exposed to the internet.
> 
> You share all machines so please be cooperative and discrete.
>






## Quickstart

This is a quickstart guide of howto use this *Lab*

  

### Default Configuration 

#### Working Directory

> /home/ubuntu

#### Default user

> ubuntu


#### Publish Your Work
 

```bash

 mkdir /home/ubuntu/directory
 put your files and other directories into /home/ubuntu/directory
 swarmlab-publish /home/ubuntu/directory
 open URL in Browser

```



####  Find lab workers

The host file that contains addresses of connected workers can be created with:

> 
> swarmlab-getworkers > /home/ubuntu/invhosts
> 

#### connect to workers 

```bash
 ssh ubuntu@[IP]
 Info:  user has sudo privileges without a password
```
